Name:           python-smbpasswd
Version:        1.0.1
Release:        %mkrel 9
Summary:        Python SMB Password Hash Generator Module
Group:          Development/Python
License:        GPLv2
URL:            http://barryp.org/software/py-smbpasswd
Source0:        http://barryp.org/software/py-smbpasswd/files/py-smbpasswd-%{version}.tar.gz
BuildRequires:	python-devel

%description
This package contains a python module, which is able to generate LANMAN and
NT password hashes suiteable to us with Samba.

%files
%{py_platsitedir}/smbpasswd.so
%{py_platsitedir}/*egg-info
%doc COPYING README.txt

#--------------------------------------------------------------------

%prep
%setup -q -n py-smbpasswd-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" 
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT



%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.0.1-9.mga6
+ Revision: 946825
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-8.mga5
+ Revision: 739553
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-7.mga5
+ Revision: 729773
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-6.mga5
+ Revision: 688340
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-4.mga4
+ Revision: 544235
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.1-3.mga4
+ Revision: 499400
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 379540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 neoclust <neoclust> 1.0.1-1.mga3
+ Revision: 301049
- imported package python-smbpasswd


* Mon Oct 31 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-0.1mdvmes5.2
- built for updates

* Thu Sep 15 2011 Jean-Philippe Braun <jpbraun@mandriva.com> - 1.0.1-1
- Initial package

